.slide-toggle {
  &__checkbox {
    @apply hidden;
  }

  &__content {
    @apply lg:h-auto;
  }

  &__contact {
    @apply h-64 lg:h-auto;
  }

  &__faq {
    @apply h-auto;
  }

  &__content,
  &__contact,
  &__faq {
    @apply overflow-hidden transition-all duration-1000;
  }

  &__content,
  &__contact,
  &__faq,
  &__label {
    @apply block;
  }

  &__checkbox:checked ~ .slide-toggle__contact,
  &__checkbox:checked ~ .slide-toggle__content,
  &__checkbox:checked ~ .slide-toggle__faq {
    @apply h-0 overflow-hidden transition-all duration-1000;
  }

  &__icon {
    @apply transform rotate-0 duration-1000;
  }

  &__checkbox:checked + .slide-toggle__label > .slide-toggle__icon {
    @apply transform rotate-180 duration-1000;
  }
}

.footer-contact-icon {
  min-width: 1.5rem;
}

#footer{
  .slide-toggle__icon{
    @apply transform rotate-180 duration-1000;
  }
  .slide-toggle__checkbox:checked + .slide-toggle__label > .slide-toggle__icon {
    @apply transform rotate-0 duration-1000;
  }
}